package info.aspirecn.cloud.yysj.entity;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 车辆详情
 *
 * @author lixinxu
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class CarInfo {

    @ApiModelProperty(value = "车牌号")
    @JsonAlias("VehicleNumber")
    private	String	carNum;

    @ApiModelProperty(value = "车牌颜色")
    @JsonAlias("VehiclePlateColorCode")
    private	String	carNumColor;

    @ApiModelProperty(value = "车辆类型")
    @JsonAlias("VehicleType")
    private	String	carType;

    @ApiModelProperty(value = "所有人")
    @JsonAlias("Owner")
    private	String	owner;

    @ApiModelProperty(value = "使用性质")
    @JsonAlias("UseCharacter")
    private	String	useNature;

    @ApiModelProperty(value = "车辆识别代码")
    @JsonAlias("VIN")
    private	String	carCode;

    @ApiModelProperty(value = "发证机关")
    @JsonAlias("IssuingOrganizations")
    private	String	issuing;

    @ApiModelProperty(value = "注册日期")
    @JsonAlias("RegisterDate")
    private	String	registrationDate;

    @ApiModelProperty(value = "发证日期")
    @JsonAlias("IssueDate")
    private	String	dateOfIssue;

    @ApiModelProperty(value = "车辆能源类型")
    @JsonAlias("VehicleEnergyType")
    private	String	energyType;

    @ApiModelProperty(value = "核定载质量(吨)")
    @JsonAlias("VehicleTonnage")
    private	double	load;

    @ApiModelProperty(value = "总质量(吨)")
    @JsonAlias("GrossMass")
    private	double	totalWeight;

    @ApiModelProperty(value = "道路运输证号")
    @JsonAlias("RoadTransportCertificateNumber")
    private	String	roadTransportCertificateNo;


}
