package info.aspirecn.cloud.yysj.entity;

import info.aspirecn.cloud.yysj.utils.DateUtil;
import lombok.Data;

/**
 * Email:lixinxu@aspirecn.com
 * Descrption:
 */
@Data
public class CarQueryParam {

    private String userId;
    private String carNum;
    private String carNumColor;
    private String drivingLicenseCheck;
    private String transportationLicenseCheck;
    private String carIntoTheNetCheck;
    private String beginTime;
    private String endTime;
    private int pageSize;
    private int pageNum;

    public void setBeginTime(String beginTime) {
        //开始时间缺省为10天前
        this.beginTime = beginTime == null || "".equals(beginTime) ? DateUtil.getBeforTimeES(10) : beginTime;
    }

    public void setEndTime(String endTime) {
        //结束时间缺省为当前时间
        this.endTime = endTime == null || "".equals(endTime) ? DateUtil.getStrTimeES() : endTime;
        //结束时间为yyyy-MM-dd时, 加上HH:mm:ss(23:59:59), 覆盖到结束日期当天
        if(this.endTime.length() == 10){
            this.endTime = this.endTime+"T17:31:51.171+0800";
        }
    }

    public void setPageSize(Integer pageSize) {
        //每页条数, 缺省为 10
        this.pageSize = pageSize != null && pageSize != 0 ? pageSize : 10;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum != null && pageNum != 0  ? pageNum : 1;
    }
}
