package info.aspirecn.cloud.yysj.utils;

import java.text.ParseException;
import java.util.Calendar;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.util.GregorianCalendar;

//日期工具类
public class DateUtil {

	/**ES时间格式化对象*/
	public static SimpleDateFormat sdfES = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSXX");

	/**MySQL时间格式化对象*/
	public static SimpleDateFormat sdfMySQL = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

	private DateUtil(){}

	/**获取当前时间，格式化为MySQL时间*/
	public static String getStrTimeMySQL() {
		return sdfMySQL.format(new Date());
	}

	/**指定天数前时间，格式化为MySQL时间*/
	public static String getBeforTimeMySQL(int d){
		Date date = new Date();
		Calendar calendar = new GregorianCalendar();
		calendar.setTime(date);
		calendar.add(calendar.DATE, -d);
		date = calendar.getTime();
		return sdfMySQL.format(date);
	}

	/**获取当前时间，格式化为ES时间*/
	public static String getStrTimeES() {
		return sdfES.format(new Date());
	}

	/**指定天数前时间，格式化为ES时间*/
	public static String getBeforTimeES(int d){
		Date date = new Date();
		Calendar calendar = new GregorianCalendar();
		calendar.setTime(date);
		calendar.add(calendar.DATE, -d);
		date = calendar.getTime();
		return sdfES.format(date);
	}

	/**将ES时间格式化为MySQL时间*/
	public static String esTime2MySQLTime(String esTime){
		String reTime = "2000-01-01 00:00:00";
		try {
			Date time = sdfES.parse(esTime);
			reTime = sdfMySQL.format(time);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return reTime;
	}

	/**将MySQL时间格式化为ES时间*/
	public static String mysqlTime2ESTime(String mysqlTime){
		String reTime = "2000-01-01T00:00:00.000+0800";
		try {
			Date time = sdfMySQL.parse(mysqlTime);
			reTime = sdfES.format(time);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return reTime;
	}
}
